<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: src/Mat.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_mat_8cpp.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Mat.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_mat_8hpp_source.html">Mat.hpp</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7e6a0ae976e8c4fe662e97cd28715fbb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_mat.html">Mat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mat_8cpp.html#a7e6a0ae976e8c4fe662e97cd28715fbb">operator*</a> (double c, const <a class="el" href="class_mat.html">Mat</a> &amp;m)</td></tr>
<tr class="memdesc:a7e6a0ae976e8c4fe662e97cd28715fbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the matrix resulting of element-wise multiplication between a given matrix and a given scalar.  <a href="#a7e6a0ae976e8c4fe662e97cd28715fbb">More...</a><br /></td></tr>
<tr class="separator:a7e6a0ae976e8c4fe662e97cd28715fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c27dc92f40abc30a1b77ad9aed3550"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_mat.html">Mat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mat_8cpp.html#a48c27dc92f40abc30a1b77ad9aed3550">operator*</a> (const <a class="el" href="class_mat.html">Mat</a> &amp;m, double c)</td></tr>
<tr class="memdesc:a48c27dc92f40abc30a1b77ad9aed3550"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the matrix resulting of element-wise multiplication between a given matrix and a given scalar.  <a href="#a48c27dc92f40abc30a1b77ad9aed3550">More...</a><br /></td></tr>
<tr class="separator:a48c27dc92f40abc30a1b77ad9aed3550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf328a20652ee05025d419d2c92579d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_mat.html">Mat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mat_8cpp.html#a8bf328a20652ee05025d419d2c92579d">OnlyRot</a> (const <a class="el" href="class_mat.html">Mat</a> &amp;m)</td></tr>
<tr class="separator:a8bf328a20652ee05025d419d2c92579d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8bf328a20652ee05025d419d2c92579d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bf328a20652ee05025d419d2c92579d">&sect;&nbsp;</a></span>OnlyRot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_mat.html">Mat</a> OnlyRot </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_mat.html">Mat</a> &amp;&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e6a0ae976e8c4fe662e97cd28715fbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e6a0ae976e8c4fe662e97cd28715fbb">&sect;&nbsp;</a></span>operator*() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_mat.html">Mat</a> operator* </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_mat.html">Mat</a> &amp;&#160;</td>
          <td class="paramname"><em>m</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the matrix resulting of element-wise multiplication between a given matrix and a given scalar. </p>

</div>
</div>
<a id="a48c27dc92f40abc30a1b77ad9aed3550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48c27dc92f40abc30a1b77ad9aed3550">&sect;&nbsp;</a></span>operator*() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_mat.html">Mat</a> operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_mat.html">Mat</a> &amp;&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>c</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the matrix resulting of element-wise multiplication between a given matrix and a given scalar. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="_mat_8cpp.html">Mat.cpp</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
